Value map widget: shows the value of the "value" column instead of "description" if used in a 

already open table

2015-01-19 02:26 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20210

Description

In recent QGIS releases the value map widget allows users to fill the a column with the content if the "value" column of the value map

table, and choose by the content of the "description" column. At the same time inside qgis the table of attributes shows the content of the

"description" column (in old qgis releases it was shown the real content of the table, the "value", but this has changed).

The issue is that if the user open the table of attributes, then enter the vector properties and activate a value map, then using the widget in

the already open table will not work as expected now, and after selecting an option from the combo box the content of the "value" table is

used to fill the cell.

If the user closes and reopens the table then the cells are filled with the content of "description", but that is just confusing.

History

#1 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2019-03-09 04:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
